<!DOCTYPE html>
<html>
	<head>
		<title> CSS Introduction and Selectors </title>
		<link rel="stylesheet" type="text/css" href="index.css">
	</head>

	<body>

		<style>
			/* using attribute selector */
			[type="p"] {
				color: orange;
			}

			/* using type selector */
			h1 {
				font-size: 50px;
			}

			/* using ID selector */
			#h2{
				text-transform: uppercase;
			}

			/* using class selector */
			.li{
				background-color: lightgreen;
			}

			/* using attribute selector */
			[type="border"] {
				border: 2px solid;
				border-color: cadetblue;
			}
		</style>

		<p style="color: red"> Apply inline styling here. </p>
		<p type="p"> Apply internal styling here. </p>
		<p style="color:yellow"> Apply external styling here. </p>


		 <!-- CSS Selectors -->
        <h1 type="h1">CSS Introduction Activity</h1>

        <h2 id="h2">The following are things you will learn in this bootcamp:</h2>

        <h3>Languages to be Learned</h3>
        <ol>
            <li class="li">Hypertext Markup Language</li>
            <li class="li">Cascading Style Sheet</li>
            <li class="li">JavaScript</li>
        </ol>

        <h3>Tools to be Used</h3>
        <ol>
            <li type="border">Sublime Text</li>
            <li type="border">Postman</li>
            <li type="border">Heroku</li>
            <li type="border">GitLab</li>
        </ol>

        <!-- Combinator Selectors -->
        <section>
            <h4>Other Things to be Learned</h4>
            <img src="js_logo.png" style="width:100px; height:100px">
            <ul>
                <li>Node.js</li>
                <li>Express.js</li>
                <li>React.js</li>
                <li>MongoDB</li>
            </ul>

           	<div>
           		<p></p>
            	<p>Web development is a continuous process. Never stop learning and always look for ways to innovate.</p>
        	</div>
        </section>

	</body>


</html>

